curl --request GET \
--url https://api.fintoc.com/v2/payment_intents \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_intents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_intents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "pi_2cKoy3PEXAuvkr4ofXC1KdMvCgZ",
"object": "payment_intent",
"amount": 5000,
"business_profile": null,
"created_at": "2026-02-10T15:23:11Z",
"currency": "CLP",
"customer": null,
"customer_email": "customer@example.com",
"error_reason": null,
"expires_at": null,
"invoices": [],
"metadata": {},
"mode": "live",
"next_action": null,
"payment_method": null,
"payment_type": "bank_transfer",
"payment_type_options": {},
"recipient_account": {
"holder_id": "111111111",
"institution_id": "cl_banco_de_chile",
"number": "123456",
"type": "checking_account"
},
"reference_id": "90123712",
"sender_account": {
"holder_id": "222222222",
"institution_id": "cl_banco_estado",
"number": "123456",
"type": "checking_account"
},
"split": null,
"split_applied": null,
"status": "succeeded",
"transaction_date": "2026-02-10T15:24:15Z",
"widget_token": null
}
]{
"error": {
"type": "invalid_params",
"code": "invalid_params",
"message": "Cannot use starting_after and ending_before params at the same time"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "missing_cursor",
"code": "missing_cursor",
"message": "Cursor pi_nonexistent not found"
}
}List payment intents
Returns the payment intents of your organization, in the live or test mode of the API key used, sorted by creation date with the most recent first. Unlike GET /v1/payment_intents, which uses page-based pagination (page and per_page), this endpoint uses cursor-based pagination. Use limit to set the page size and the starting_after or ending_before cursors to move between pages. The Link response header contains the URL of the next page. To narrow the results to a date range, use the since and until filters on the creation date. Available for organizations on API version 2026-02-01 or later.
curl --request GET \
--url https://api.fintoc.com/v2/payment_intents \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v2/payment_intents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v2/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v2/payment_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v2/payment_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v2/payment_intents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v2/payment_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "pi_2cKoy3PEXAuvkr4ofXC1KdMvCgZ",
"object": "payment_intent",
"amount": 5000,
"business_profile": null,
"created_at": "2026-02-10T15:23:11Z",
"currency": "CLP",
"customer": null,
"customer_email": "customer@example.com",
"error_reason": null,
"expires_at": null,
"invoices": [],
"metadata": {},
"mode": "live",
"next_action": null,
"payment_method": null,
"payment_type": "bank_transfer",
"payment_type_options": {},
"recipient_account": {
"holder_id": "111111111",
"institution_id": "cl_banco_de_chile",
"number": "123456",
"type": "checking_account"
},
"reference_id": "90123712",
"sender_account": {
"holder_id": "222222222",
"institution_id": "cl_banco_estado",
"number": "123456",
"type": "checking_account"
},
"split": null,
"split_applied": null,
"status": "succeeded",
"transaction_date": "2026-02-10T15:24:15Z",
"widget_token": null
}
]{
"error": {
"type": "invalid_params",
"code": "invalid_params",
"message": "Cannot use starting_after and ending_before params at the same time"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "missing_cursor",
"code": "missing_cursor",
"message": "Cursor pi_nonexistent not found"
}
}Query Parameters
Response
A list of your payment intents for the current mode. The Link response header contains the URL of the next page, if any.
Status of the payment intent. One of created (the charge was accepted and is awaiting processing), in_progress (Fintoc is processing the charge), succeeded (the charge completed), failed (the charge did not complete), rejected (the institution rejected the charge), expired (the payer did not act in time), or pending (the final status is not yet known). pending is only returned to organizations that have the pending status enabled.
created, failed, succeeded, rejected, in_progress, pending, expired "succeeded"
Was this page helpful?